com.amazonaws.services.workspaces.model

## Class StopRequest

- java.lang.Object
- - com.amazonaws.services.workspaces.model.StopRequest

All Implemented Interfaces:
  Serializable, Cloneable

    public class StopRequest
    extends Object
    implements Serializable, Cloneable

Describes the stop request.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StopRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`StopRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getWorkspaceId()` The ID of the WorkSpace.
`int` `hashCode()`
`void` `setWorkspaceId(String workspaceId)` The ID of the WorkSpace.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`StopRequest` `withWorkspaceId(String workspaceId)` The ID of the WorkSpace.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StopRequest

    public StopRequest()

### Method Detail

#### setWorkspaceId

    public void setWorkspaceId(String workspaceId)

The ID of the WorkSpace.

Parameters:
  `workspaceId` - The ID of the WorkSpace.

#### getWorkspaceId

    public String getWorkspaceId()

The ID of the WorkSpace.

Returns:
  The ID of the WorkSpace.

#### withWorkspaceId

    public StopRequest withWorkspaceId(String workspaceId)

The ID of the WorkSpace.

Parameters:
  `workspaceId` - The ID of the WorkSpace.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public StopRequest clone()

Overrides:
  `clone` in class `Object`